#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kosmindoormap
Version: 24.12.0
Release:	%mkrel %{rel}
Summary:	OSM multi-floor indoor map renderer
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KPublicTransport)
BuildRequires:	cmake(KOpeningHours)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Service)

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(recastnavigation)

BuildRequires:	osmctools
Requires:	osmctools

%description
Library and QML component for rendering multi-level OSM indoor maps.

%files -f %{name}.lang
%{_kf6_categoriesdir}/org_kde_kosmindoormap.*categories
%{_kf6_qmldir}/org/kde/kosmindoormap/
%{_kf6_qmldir}/org/kde/kosmindoorrouting/
%{_kf6_qmldir}/org/kde/osm/

#-------------------------------------------------------------------------

%define kosm_major 1
%define libkosm    %mklibname kosm %{kosm_major}

%package -n %{libkosm}
Summary:	Library and QML component for rendering multi-level OSM indoor maps
Group:		System/Libraries

%description -n %{libkosm}
Library and QML component for rendering multi-level OSM indoor maps.

%files -n %{libkosm}
%{_kf6_libdir}/libKOSM.so.%{kosm_major}
%{_kf6_libdir}/libKOSM.so.%{version}

#-------------------------------------------------------------------------

%define kosmindoormap_major 1
%define libkosmindoormap    %mklibname kosmindoormap %{kosmindoormap_major}

%package -n %{libkosmindoormap}
Summary:	Library and QML component for rendering multi-level OSM indoor maps
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkosmindoormap}
Library and QML component for rendering multi-level OSM indoor maps.

%files -n %{libkosmindoormap}
%{_kf6_libdir}/libKOSMIndoorMap.so.%{kosmindoormap_major}
%{_kf6_libdir}/libKOSMIndoorMap.so.%{version}

#-------------------------------------------------------------------------

%define kosmindoorrouting_major 1
%define libkosmindoorrouting    %mklibname kosmindoorrouting %{kosmindoorrouting_major}

%package -n %{libkosmindoorrouting}
Summary:	Library and QML component for rendering multi-level OSM indoor routing
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkosmindoorrouting}
Library and QML component for rendering multi-level OSM indoor routing.

%files -n %{libkosmindoorrouting}
%{_kf6_libdir}/libKOSMIndoorRouting.so.%{kosmindoorrouting_major}
%{_kf6_libdir}/libKOSMIndoorRouting.so.%{version}

#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkosm} = %{version}-%{release}
Requires:	%{libkosmindoormap} = %{version}-%{release}
Requires:	%{libkosmindoorrouting} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_includedir}/KOSM/
%{_includedir}/KOSMIndoorMap/
%{_includedir}/KOSMIndoorRouting/
%{_includedir}/kosm/
%{_includedir}/kosmindoormap/
%{_includedir}/kosmindoorrouting/
%{_includedir}/kosmindoormap_version.h
%{_kf6_libdir}/libKOSM.so
%{_kf6_libdir}/libKOSMIndoorMap.so
%{_kf6_libdir}/libKOSMIndoorRouting.so
%{_kf6_libdir}/cmake/KOSMIndoorMap/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123853
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116406
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114102
- New version 24.08.3

* Thu Oct 17 2024 daviddavid <daviddavid> 24.08.2-2.mga10
+ Revision: 2107693
- rebuild for missing pkgs on i686

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105597
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097466
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087658
- New version 24.08.0

* Sun Aug 11 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2086013
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073270
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069921
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058668
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045207
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037705
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033830
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025205
- New version 24.01.85

* Fri Nov 17 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007347
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989650
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959134
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946539
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941832
- New version 22.12.2

* Thu Dec 22 2022 wally <wally> 22.12.0-2.mga9
+ Revision: 1925784
- rebuild for protobuf 21.12

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922953
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911447
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905299
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886818
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880804
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873114
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854007
- New version 22.04.0

* Mon Apr 18 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1851447
- New version 22.03.90

* Tue Apr 05 2022 umeabot <umeabot> 21.12.0-3.mga9
+ Revision: 1845346
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 wally <wally> 21.12.0-2.mga9
+ Revision: 1764984
- rebuild for protobuf 3.19.1

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763898
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724106
- New version 21.04.1

* Sun Apr 25 2021 daviddavid <daviddavid> 21.04.0-2.mga9
+ Revision: 1719385
- enable KOpeningHours support

* Sun Apr 25 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1719318
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698594
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694120
- New version 20.12.2

* Sat Dec 19 2020 luigiwalser <luigiwalser> 20.12.0-2.mga8
+ Revision: 1661328
- rebuild for protobuf

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657127
- initial package kosmindoormap

